summaryrefslogtreecommitdiff
path: root/integration-tests/neutronclient-stable.sh
diff options
context:
space:
mode:
authorDoug Hellmann <doug.hellmann@dreamhost.com>2014-01-03 22:43:37 +0000
committerDoug Hellmann <doug.hellmann@dreamhost.com>2014-01-03 22:58:50 +0000
commit5fad56e89f4daeaeccfdcdb0210f23d94086e9e1 (patch)
treebecfe94fcef112f7a934809886c9bc2d1b546c78 /integration-tests/neutronclient-stable.sh
parent8c6c3403f065152a0b4dee6a32b274966846ea7e (diff)
downloadcliff-5fad56e89f4daeaeccfdcdb0210f23d94086e9e1.tar.gz
Add integration tests with known consumers
Run the tests of some consumers of cliff to ensure that changes being made do not break the apps or downsteam libraries. Change-Id: Ifded67608b49044cc6a0832389ad7fe825148a3c
Diffstat (limited to 'integration-tests/neutronclient-stable.sh')
-rwxr-xr-xintegration-tests/neutronclient-stable.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/integration-tests/neutronclient-stable.sh b/integration-tests/neutronclient-stable.sh
new file mode 100755
index 0000000..4e066db
--- /dev/null
+++ b/integration-tests/neutronclient-stable.sh
@@ -0,0 +1,22 @@
+#!/bin/sh -x
+
+set -e
+
+envdir=$1
+
+# Manually download the source from PyPI and build it with the --editable flag.
+# This gives us access to run the tests.
+pip install --pre --no-deps --no-install --no-clean python-neutronclient
+
+# This is where the source will end up after pip is done downloading and building it
+srcdir=$envdir/build/python-neutronclient/
+cd $srcdir
+
+# Install the source safely
+pip install --no-clean -ve .
+
+# Install the test requirements
+pip install --no-clean -r $srcdir/test-requirements.txt
+
+# Run testr
+python setup.py testr